Text Dependent - Reset Profile
프로필 다시 설정
기존 프로필을 원래 생성 상태로 다시 설정합니다. 다시 설정 작업은 다음을 수행합니다.
- enrollmentStatus를 등록으로 업데이트합니다.
- lastUpdatedDateTime을 업데이트합니다.
- enrollmentsCount를 0으로 업데이트합니다.
- enrollmentsLength를 0으로 업데이트합니다.
- enrollmentsSpeechLength를 0으로 업데이트합니다.
- 나머지EnrollmentsCount를 초기 필수 번호로 업데이트합니다.
- 스토리지에서 연결된 모든 등록을 제거합니다.
- 선택한 암호 연결을 제거합니다.
- modelVersion의 값을 다시 설정합니다.
POST {endpoint}/speaker-recognition/verification/text-dependent/profiles/{profileId}:reset?api-version=2021-09-05
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
endpoint
|
path | True |
string |
지원되는 Cognitive Services 엔드포인트(프로토콜 및 호스트 이름( 예: https://westus.api.cognitive.microsoft.com). |
|
profile
|
path | True |
string (uuid) |
프로필 ID(guid)에 대한 고유 식별자입니다. |
|
api-version
|
query | True |
string |
이 요청에 사용할 작업의 버전을 지정합니다. |
요청 헤더
| Name | 필수 | 형식 | Description |
|---|---|---|---|
| Ocp-Apim-Subscription-Key | True |
string |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
스피커 프로필이 성공적으로 다시 설정되었습니다. 프로필은 다시 설정 값과 함께 반환됩니다. 헤더 Location: string |
|
| Other Status Codes |
실패 헤더 x-ms-error-code: string |
보안
Ocp-Apim-Subscription-Key
형식:
apiKey
In(다음 안에):
header
예제
Successful Query
샘플 요청
POST https://westus.api.cognitive.microsoft.com/speaker-recognition/verification/text-dependent/profiles/49a36324-fc4b-4387-aa06-090cfbf0064f:reset?api-version=2021-09-05
샘플 응답
Content-Type: application/json
{
"profileId": "49a36324-fc4b-4387-aa06-090cfbf0064f",
"locale": "en-US",
"enrollmentStatus": "Enrolling",
"createdDateTime": "2015-04-23T18:25:43.41Z",
"lastUpdatedDateTime": "2015-04-23T18:25:43.41Z",
"enrollmentsCount": 0,
"enrollmentsLengthInSec": 0,
"enrollmentsSpeechLengthInSec": 0,
"remainingEnrollmentsCount": 3,
"modelVersion": "2019-12-05"
}
Content-Type: application/json
x-ms-error-code: Error Code
{
"error": {
"code": "Error Code",
"message": "Erro Messae"
}
}
정의
| Name | Description |
|---|---|
| Error | |
|
Speaker |
스피커 오류 메시지 |
|
Td |
Text-Dependent Speaker 프로필 정보 |
|
Training |
프로필의 현재 상태를 나타내는 상태입니다. 사용 가능한 값은 다음과 같습니다.
|
Error
| Name | 형식 | Description |
|---|---|---|
| code |
string |
|
| message |
string |
SpeakerErrorInfo
스피커 오류 메시지
| Name | 형식 | Description |
|---|---|---|
| error |
TdProfileInfo
Text-Dependent Speaker 프로필 정보
| Name | 형식 | Description |
|---|---|---|
| createdDateTime |
string (date-time) |
프로필 생성 날짜/시간입니다. |
| enrollmentStatus |
프로필의 현재 상태를 나타내는 상태입니다. 사용 가능한 값은 다음과 같습니다.
|
|
| enrollmentsCount |
integer |
이 프로필에 허용되는 등록 오디오 수입니다. |
| enrollmentsLengthInSec |
number |
이 프로필에 허용되는 등록 오디오의 총 길이(초)입니다. |
| enrollmentsSpeechLengthInSec |
number |
모든 프로필 등록에서 순수 음성(무음 및 음성이 아닌 세그먼트를 제거한 후의 오디오 양)의 합계(초)입니다. |
| lastUpdatedDateTime |
string (date-time) |
프로필이 업데이트된 마지막 날짜/시간입니다. |
| locale |
string pattern: ^[a-zA-Z]{2}-?[a-zA-Z]{2}$ |
언어 코드와 국가 코드의 조합으로 구성된 언어 식별자입니다. |
| modelVersion |
string (date) |
이 프로필에 할당된 모델을 지정하는 날짜입니다. 형식은 yyyy-mm-dd. 프로필에 등록이 없으면 이 값은 비어 있습니다. |
| profileId |
string (uuid) |
프로필 ID(guid)에 대한 고유 식별자입니다. |
| remainingEnrollmentsCount |
integer |
프로필 등록을 완료하는 데 필요한 등록 오디오 수입니다. |
TrainingStatusType
프로필의 현재 상태를 나타내는 상태입니다. 사용 가능한 값은 다음과 같습니다.
- 등록: 프로필에 음성 인쇄가 없으며 인식 요청에 대한 준비가 되지 않았습니다.
- 교육: 프로필의 음성 인쇄가 생성되고 있으며 현재 인식에 사용할 수 없습니다.
- 등록됨: 프로필에 음성 인쇄가 있으며 인식 요청에 사용할 준비가 되었습니다.
| 값 | Description |
|---|---|
| Enrolling | |
| Training | |
| Enrolled |